View Issue Details

IDProjectCategoryView StatusLast Update
0003406Slicer4Core: MRMLpublic2018-03-06 12:25
ReporterDMeierAssigned Tolassoan 
Status resolvedResolutionfixed 
Product VersionSlicer 4.3.0 
Target VersionFixed in VersionSlicer 4.9.0 
Summary0003406: Saved scene file is corrupted if a node name contains special character

Saved scene file is corrupted if a node name or a scene view description contains special character. Probably there are other free-text fields that are not encoded before writing to the scene file.

Scene and MRB files corrupted by scene views: Adding multiple scene views to a Slicer session and then saving as MRB leads to a corrupted MRB file that will no longer load. Same seems to happen to Scene file. Example TestBundles attached. The TestBundle_withViews.mrb is the orignal TestBundleRaw to which 6 scene views were added with custom title and a paragraph of text each. TestBundle_withViews.mrb does not load.

TagsNo tags attached.


2013-09-18 08:07


TestBundleRaw.mrb (2,828,053 bytes)

2013-09-18 08:07


TestBundle_withViews.mrb (3,794,371 bytes)


2013-10-03 06:36

developer   ~0010122

Just noticed at least one way to break it: The comments/description field when saved in the MRML file does not escape special characters, like quotes. Comments are saved as string="comment etc". Hence if user places double quotes in the actual comment, we have a broken syntax, e.g. strings like "comment etc. with "quotes" inside " will need to be filtered first before saving.



2017-06-09 16:59

developer   ~0014692

The problem still exists in latest nightly version of Slicer. Special characters (for example quotation marks) are still not encoded in scene view node name or description.

Important: Special characters are not encoded in any node names either! Renaming any node to contain " character will make the scene invalid.



2018-03-06 12:25

developer   ~0015536

Fixed in Revision: 27011

Issue History

Date Modified Username Field Change
2013-09-18 08:05 DMeier New Issue
2013-09-18 08:05 DMeier Status new => assigned
2013-09-18 08:05 DMeier Assigned To => alexy
2013-09-18 08:07 DMeier File Added: TestBundleRaw.mrb
2013-09-18 08:07 DMeier File Added: TestBundle_withViews.mrb
2013-10-03 06:36 DMeier Note Added: 0010122
2017-06-09 16:59 lassoan Note Added: 0014692
2017-06-09 17:02 lassoan Summary Scene and MRB files corrupted by scene views => Saved scene file is corrupted if a node name contains special character
2017-06-09 17:02 lassoan Description Updated View Revisions
2018-03-06 12:25 lassoan Assigned To alexy => lassoan
2018-03-06 12:25 lassoan Status assigned => resolved
2018-03-06 12:25 lassoan Resolution open => fixed
2018-03-06 12:25 lassoan Fixed in Version => Slicer 4.9.0
2018-03-06 12:25 lassoan Note Added: 0015536